class kerberos::params {
  $krb5default         = 'CERN.CH'
  $krb5ticket_lifetime = '25h'
  $krb5renew_lifetime  = '120h'
  $krb5forwardable     = true
  $krb5proxiable       = true
  $krb5chpw_prompt     = true

  $krb5pam             = {'external'         => true,
                          'krb4_convert'     => false,
                          'krb4_convert_524' => false,
                          'krb4_use_as_req'  => false
                         }
  $kdc_cern            = hiera('cern_network_domain','default') ? {
                         'atlas'   => 'atlasvdc.cern.ch',
                         'cms'     => 'cmsvdc.cern.ch',
                         'tn'      => 'tndc.cern.ch',
                         'gpn'     => 'cerndc.cern.ch',
                         'lcg'     => 'cerndc.cern.ch',
                         'default' => 'cerndc.cern.ch',
                         #not sure..
                         #'alice'  => 'cerndc.cern.ch',
                         #'lchb'   => 'cerndc.cern.ch',
                         }

  $pkinit_pool        = 'DIR:/etc/pki/tls/certs/'
  $pkinit_anchors     = 'DIR:/etc/pki/tls/certs/'
#File specific variables
  $krb5_template      = 'kerberos/krb5.erb'
  $krb5_file          = '/etc/krb5.conf'
  $owner              = 'root'
  $group              = 'root'
  $mode               = '644'
  $k5login_file       = '/root/.k5login'
  $k5template         = 'kerberos/k5login.erb'
#hiera value for .k5login file
  $k5login_values      = hiera('k5login_values')
}
